RpcMessage.NoRpcChannelReply (Apache Tomcat 9.0.37 API Documentation)

org.apache.catalina.tribes.group

## Class RpcMessage.NoRpcChannelReply

- java.lang.Object
- - org.apache.catalina.tribes.group.RpcMessage
  - - org.apache.catalina.tribes.group.RpcMessage.NoRpcChannelReply

- All Implemented Interfaces:
    Externalizable, Serializable
  Enclosing class:
    RpcMessage

      public static class RpcMessage.NoRpcChannelReply
      extends RpcMessage

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.catalina.tribes.group.RpcMessage

      `RpcMessage.NoRpcChannelReply`

  - ### Field Summary

    - ### Fields inherited from class org.apache.catalina.tribes.group.RpcMessage

      `message, reply, rpcId, uuid`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NoRpcChannelReply()`
    `NoRpcChannelReply(byte[] rpcid, byte[] uuid)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `readExternal(ObjectInput in)`
    `void` | `writeExternal(ObjectOutput out)`

    - ### Methods inherited from class org.apache.catalina.tribes.group.RpcMessage

      `toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### NoRpcChannelReply

          public NoRpcChannelReply()

    - #### NoRpcChannelReply

          public NoRpcChannelReply(byte[] rpcid,
                                   byte[] uuid)

  - ### Method Detail

    - #### readExternal

          public void readExternal(ObjectInput in)
                            throws IOException,
                                   ClassNotFoundException

      Specified by:
        `readExternal` in interface `Externalizable`
      Overrides:
        `readExternal` in class `RpcMessage`
      Throws:
        `IOException`
        `ClassNotFoundException`

    - #### writeExternal

          public void writeExternal(ObjectOutput out)
                             throws IOException

      Specified by:
        `writeExternal` in interface `Externalizable`
      Overrides:
        `writeExternal` in class `RpcMessage`
      Throws:
        `IOException`

Copyright © 2000-2020 Apache Software Foundation. All Rights Reserved.